mxStencilShape.svgShape (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.shape
Class mxStencilShape.svgShape

    java.lang.Object
      com.mxgraph.shape.mxStencilShape.svgShape

Enclosing class:
  mxStencilShape

    protected class mxStencilShape.svgShape

extends Object

Field Summary
`protected double` | `currentXScale` Holds the current value to which the shape is scaled in X
`protected double` | `currentYScale` Holds the current value to which the shape is scaled in Y
`Shape` | `shape`
`protected Map<String,Object>` | `style` Contains an array of key, value pairs that represent the style of the cell.
`List<mxStencilShape.svgShape>` | `subShapes`

Constructor Summary
`mxStencilShape.svgShape(Shape shape, Map<String,Object> style)`

Method Summary
`double` | `getCurrentXScale()`
`double` | `getCurrentYScale()`
`void` | `setCurrentXScale(double currentXScale)`
`void` | `setCurrentYScale(double currentYScale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shape

    public Shape shape

### style

    protected Map<String,Object> style

  Contains an array of key, value pairs that represent the style of the cell.

### subShapes

    public List<mxStencilShape.svgShape> subShapes

### currentXScale

    protected double currentXScale

  Holds the current value to which the shape is scaled in X

### currentYScale

    protected double currentYScale

  Holds the current value to which the shape is scaled in Y

Constructor Detail

### mxStencilShape.svgShape

    public mxStencilShape.svgShape(Shape shape,
                                   Map<String,Object> style)

Method Detail

### getCurrentXScale

    public double getCurrentXScale()

### setCurrentXScale

    public void setCurrentXScale(double currentXScale)

### getCurrentYScale

    public double getCurrentYScale()

### setCurrentYScale

    public void setCurrentYScale(double currentYScale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.